Method: networks.users.batchCreate

Creates User objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/users:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where Users will be created. Format: networks/{networkCode} The parent field in the CreateUserRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateUserRequest)
    }
  ]
}
Fields
requests[]

object (CreateUserRequest)

Required. The User objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for users.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "users": [
    {
      object (User)
    }
  ]
}
Fields
users[]

object (User)

The User objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateUserRequest

Request object for users.create method.

JSON representation
{
  "parent": string,
  "user": {
    object (User)
  }
}
Fields
parent

string

Required. The parent resource where this User will be created. Format: networks/{networkCode}

user

object (User)

Required. The User to create.